## VOICE Answer Call request VOICE Answer Call request |

## Functions

QmiMessageVoiceAnswerCallInput * | qmi_message_voice_answer_call_input_new ()
QmiMessageVoiceAnswerCallInput * | qmi_message_voice_answer_call_input_ref ()
void | qmi_message_voice_answer_call_input_unref ()
gboolean | qmi_message_voice_answer_call_input_get_call_id ()
gboolean | qmi_message_voice_answer_call_input_set_call_id ()
QmiMessageVoiceAnswerCallOutput * | qmi_message_voice_answer_call_output_ref ()
void | qmi_message_voice_answer_call_output_unref ()
gboolean | qmi_message_voice_answer_call_output_get_call_id ()
gboolean | qmi_message_voice_answer_call_output_get_result ()
void | qmi_client_voice_answer_call ()
QmiMessageVoiceAnswerCallOutput * | qmi_client_voice_answer_call_finish ()

## Types and Values

| QmiMessageVoiceAnswerCallInput
| QmiMessageVoiceAnswerCallOutput

## Object Hierarchy

        GBoxed
        ├── QmiMessageVoiceAnswerCallInput
        ╰── QmiMessageVoiceAnswerCallOutput

## Description

## Functions

### qmi_message_voice_answer_call_input_new ()

    QmiMessageVoiceAnswerCallInput *
    qmi_message_voice_answer_call_input_new
                                   (void);

Allocates a new QmiMessageVoiceAnswerCallInput.

#### Returns

the newly created QmiMessageVoiceAnswerCallInput. The returned value should be freed with `qmi_message_voice_answer_call_input_unref()`.

Since: 1.14

### qmi_message_voice_answer_call_input_ref ()

    QmiMessageVoiceAnswerCallInput *
    qmi_message_voice_answer_call_input_ref
                                   (QmiMessageVoiceAnswerCallInput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceAnswerCallInput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_voice_answer_call_input_unref ()

    void
    qmi_message_voice_answer_call_input_unref
                                   (QmiMessageVoiceAnswerCallInput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceAnswerCallInput. |

Since: 1.14

### qmi_message_voice_answer_call_input_get_call_id ()

    gboolean
    qmi_message_voice_answer_call_input_get_call_id
                                   (QmiMessageVoiceAnswerCallInput *self,
                                    guint8 *value_call_id,
                                    GError **error);

Get the 'Call ID' field from `self` .

#### Parameters

self | a QmiMessageVoiceAnswerCallInput. |
value_call_id | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_voice_answer_call_input_set_call_id ()

    gboolean
    qmi_message_voice_answer_call_input_set_call_id
                                   (QmiMessageVoiceAnswerCallInput *self,
                                    guint8 value_call_id,
                                    GError **error);

Set the 'Call ID' field in the message.

#### Parameters

self | a QmiMessageVoiceAnswerCallInput. |
value_call_id | a guint8. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if `value` was successfully set, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_voice_answer_call_output_ref ()

    QmiMessageVoiceAnswerCallOutput *
    qmi_message_voice_answer_call_output_ref
                                   (QmiMessageVoiceAnswerCallOutput *self);

Atomically increments the reference count of `self` by one.

#### Parameters

self | a QmiMessageVoiceAnswerCallOutput. |

#### Returns

the new reference to `self` .

Since: 1.14

### qmi_message_voice_answer_call_output_unref ()

    void
    qmi_message_voice_answer_call_output_unref
                                   (QmiMessageVoiceAnswerCallOutput *self);

Atomically decrements the reference count of `self` by one. If the reference count drops to 0, `self` is completely disposed.

#### Parameters

self | a QmiMessageVoiceAnswerCallOutput. |

Since: 1.14

### qmi_message_voice_answer_call_output_get_call_id ()

    gboolean
    qmi_message_voice_answer_call_output_get_call_id
                                   (QmiMessageVoiceAnswerCallOutput *self,
                                    guint8 *value_call_id,
                                    GError **error);

Get the 'Call ID' field from `self` .

#### Parameters

self | a QmiMessageVoiceAnswerCallOutput. |
value_call_id | a placeholder for the output guint8, or `NULL` if not required. | [out][optional]
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the field is found, `FALSE` otherwise.

[skip]

Since: 1.14

### qmi_message_voice_answer_call_output_get_result ()

    gboolean
    qmi_message_voice_answer_call_output_get_result
                                   (QmiMessageVoiceAnswerCallOutput *self,
                                    GError **error);

Get the result of the QMI operation.

#### Parameters

self | a QmiMessageVoiceAnswerCallOutput. |
error | Return location for error or `NULL`. |

#### Returns

`TRUE` if the QMI operation succeeded, `FALSE` if `error` is set.

[skip]

Since: 1.14

### qmi_client_voice_answer_call ()

    void
    qmi_client_voice_answer_call (QmiClientVoice *self,
                                  QmiMessageVoiceAnswerCallInput *input,
                                  guint timeout,
                                  GCancellable *cancellable,
                                  GAsyncReadyCallback callback,
                                  gpointer user_data);

Asynchronously sends a Answer Call request to the device.

When the operation is finished, `callback` will be invoked in the thread-default main loop of the thread you are calling this method from.

You can then call `qmi_client_voice_answer_call_finish()` to get the result of the operation.

#### Parameters

self | a QmiClientVoice. |
input | a QmiMessageVoiceAnswerCallInput. |
timeout | maximum time to wait for the method to complete, in seconds. |
cancellable | a GCancellable or `NULL`. |
callback | a GAsyncReadyCallback to call when the request is satisfied. |
user_data | user data to pass to `callback` . |

Since: 1.14

### qmi_client_voice_answer_call_finish ()

    QmiMessageVoiceAnswerCallOutput *
    qmi_client_voice_answer_call_finish (QmiClientVoice *self,
                                         GAsyncResult *res,
                                         GError **error);

Finishes an async operation started with `qmi_client_voice_answer_call()`.

#### Parameters

self | a QmiClientVoice. |
res | the GAsyncResult obtained from the GAsyncReadyCallback passed to `qmi_client_voice_answer_call()`. |
error | Return location for error or `NULL`. |

#### Returns

a QmiMessageVoiceAnswerCallOutput, or `NULL` if `error` is set. The returned value should be freed with `qmi_message_voice_answer_call_output_unref()`.

Since: 1.14

## Types and Values

### QmiMessageVoiceAnswerCallInput

    typedef struct _QmiMessageVoiceAnswerCallInput QmiMessageVoiceAnswerCallInput;

The QmiMessageVoiceAnswerCallInput structure contains private data and should only be accessed using the provided API.

Since: 1.14

### QmiMessageVoiceAnswerCallOutput

    typedef struct _QmiMessageVoiceAnswerCallOutput QmiMessageVoiceAnswerCallOutput;

The QmiMessageVoiceAnswerCallOutput structure contains private data and should only be accessed using the provided API.

Since: 1.14